<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qbs-module.qdoc -->
  <title>List of All Members for qbs | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">List of All Members for qbs</h1>
<p>This is the complete list of members for <a href="qml-qbsmodules-qbs.html">qbs</a>, including inherited members.</p>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#architecture-prop">architecture</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#architectures-prop">architectures</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#buildVariant-prop">buildVariant</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#buildVariants-prop">buildVariants</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#configurationName-prop">configurationName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#debugInformation-prop">debugInformation</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#enableDebugCode-prop">enableDebugCode</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostOS-prop">hostOS</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostOSBuildVersion-prop">hostOSBuildVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostOSVersion-prop">hostOSVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostOSVersionMajor-prop">hostOSVersionMajor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostOSVersionMinor-prop">hostOSVersionMinor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostOSVersionParts-prop">hostOSVersionParts</a></b></b> : list</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostOSVersionPatch-prop">hostOSVersionPatch</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#hostPlatform-prop">hostPlatform</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#install-prop">install</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#installDir-prop">installDir</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#installPrefix-prop">installPrefix</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#installRoot-prop">installRoot</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#installSourceBase-prop">installSourceBase</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#nullDevice-prop">nullDevice</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#optimization-prop">optimization</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#pathListSeparator-prop">pathListSeparator</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#profiles-prop">profiles</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#shellPath-prop">shellPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#sysroot-prop">sysroot</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#targetOS-prop">targetOS</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#targetPlatform-prop">targetPlatform</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#toolchain-prop">toolchain</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#toolchainType-prop">toolchainType</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#version-prop">version</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#versionMajor-prop">versionMajor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#versionMinor-prop">versionMinor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qbs.html#versionPatch-prop">versionPatch</a></b></b> : int</li>
</ul>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
